Bug 1872058 - Ingress Operator improperly sets IBM Cloud LB annotations
Summary: Ingress Operator improperly sets IBM Cloud LB annotations
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Daneyon Hansen
QA Contact: Hongan Li
URL:
Whiteboard:
: 1872057 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 22:39 UTC by Daneyon Hansen
Modified: 2020-09-02 08:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 445 None closed Bug 1872058: Fixes IBM Cloud LB Annotations 2020-08-31 01:38:02 UTC

Description Daneyon Hansen 2020-08-24 22:39:15 UTC
Description of problem:
Ingress Operator does not properly set IBM Cloud public annotation.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1. Install cluster with IBM provider.
2. Install fails due to ingress operator setting both private and public annotations.

Actual results:
Failed install.

Expected results:
Successful install.

Additional info:

Comment 1 Daneyon Hansen 2020-08-26 19:10:11 UTC
*** Bug 1872057 has been marked as a duplicate of this bug. ***

Comment 5 Cesar Wong 2020-09-01 17:14:24 UTC
Verified on 4.6.0-0.nightly-2020-08-31-194600 with ROKS-style cluster

Comment 6 Hongan Li 2020-09-02 08:45:59 UTC
Thank you @Cesar. Also tested on other cloud platform and no regression issue. so moving to verified.


Note You need to log in before you can comment on or make changes to this bug.